## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate getrandom

Name:           rust-getrandom
Version:        0.2.15
Release:        %autorelease
Summary:        Small cross-platform library for retrieving random data from system source

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/getrandom
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          getrandom-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop dependencies on compiler internals
Patch:          getrandom-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A small cross-platform library for retrieving random data from system
source.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+custom-devel %{_description}

This package contains library source intended for building other packages which
use the "custom" feature of the "%{crate}" crate.

%files       -n %{name}+custom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linux_disable_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linux_disable_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "linux_disable_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+linux_disable_fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rdrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rdrand-devel %{_description}

This package contains library source intended for building other packages which
use the "rdrand" feature of the "%{crate}" crate.

%files       -n %{name}+rdrand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.15-1
- Update to version 0.2.15; Fixes RHBZ#2279317

* Tue Apr 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.14-1
- Update to version 0.2.14; Fixes RHBZ#2273743

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.12-1
- Update to version 0.2.12; Fixes RHBZ#2257370

* Thu Nov 09 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.11-1
- Update to version 0.2.11; Fixes RHBZ#2248611

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.10-1
- Update to version 0.2.10; Fixes RHBZ#2212935

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.9-1
- Update to version 0.2.9; Fixes RHBZ#2185135

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.8-1
- Update to version 0.2.8; Fixes RHBZ#2136677

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-1
- Update to version 0.2.7; Fixes RHBZ#2096478

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Update to version 0.2.6; Fixes RHBZ#2069105

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2056980

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2040510

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-2
- Update to version 0.2.3.
- Fixes RHBZ#1962506

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.
- Fixes RHBZ#1917831

* Mon Jan 04 08:28:08 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1 (Fixes: RHBZ#1912200)

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-2
- Remove dependencies on compiler internals.

* Wed Oct 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Update to version 0.2.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.1.14-1
- Update to 0.1.14

* Fri Dec 20 19:11:37 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-2
- Regenerate

* Fri Oct 25 19:13:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-1
- Update to 0.1.13

* Sun Aug 25 14:41:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-1
- Update to 0.1.11

* Sun Aug 18 11:36:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.10-1
- Update to 0.1.10

* Sat Aug 03 15:41:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Sun Jul 28 14:47:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-1
- Initial package

## END: Generated by rpmautospec
